Update DPU Extension Service

View as Markdown

Update a specific DPU Extension Service.

DPU Extension Service must be owned by current Tenant. A new version will be created if data or credentials are modified.

Org must have a Tenant entity. User must have FORGE_TENANT_ADMIN authorization role.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired
dpuExtensionServiceIdstringRequired

Request

This endpoint expects an object.
namestringOptional
Name for the DPU Extension Service. Must be unique for a given Tenant
descriptionstringOptional
Optional description for the DPU Extension Service
datastringOptional
Deployment spec for the DPU Extension Service
credentialsobjectOptional
Credentials to download resources specified in DPU Extension Service data
observabilityobjectOptional
Observability configuration for the DPU Extension Service version

Response

OK
idstringRead-onlyformat: "uuid"
Unique identifier for the DPU Extension Service
namestring
Name for the DPU Extension Service. Must be unique for a given Tenant
descriptionstring or null
Optional description for the DPU Extension Service
serviceTypeenum
Type of the DPU Extension Service
Allowed values:
siteIdstringformat: "uuid"
ID for the Site the DPU Extension Service belongs to
tenantIdstringformat: "uuid"
ID for the Tenant the DPU Extension Service belongs to
versionstring or null
Latest version of the DPU Extension Service
versionInfoobject
Details for the latest version of the DPU Extension Service
activeVersionslist of strings
Latest and past versions of this DPU Extension Service that have not been deleted and are available for deployment
statusenum
Status of the DPU Extension Service
Allowed values:
statusHistorylist of objects
History of the DPU Extension Service statuses
createddatetimeRead-only

Date/time when the DPU Extension Service was created

updateddatetimeRead-only

Date/time when the DPU Extension Service was last updated

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error